#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
light_source {
    <-200, 200, -200>
    color White
}

camera {
        location <0, 1.7, -3.0>
        look_at <-0, 1.3, 0>
	rotate <0, 30*clock, 0>
}

#include "roboter.pov"

object { roboter }

plane {
    <0, 1, 0>
    0
    texture {
	pigment {
	    checker
	    color <0.5, 0.5, 1>
	    color White
	}
    }
}

