#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <+200, 200, -00>
    color White
}
light_source {
    <-200, 120, -171>
    color White*0.5
}
camera {
        location <+020, 146, +10>
        look_at <-0, 46, 10>
	angle 30
}

#include "polgeschuetz.pov"

    object {
	polgeschuetz
    }


cylinder {
    <0, 0, 0>,
    <0, -1, 0>, 1000
    pigment {
	radial
	color_map{
	    [0.1 rgb 0.1 ]
	    [0.1 White]
	}
	frequency 16
    }
}

cone {
    <0, 0, 0>, 0
    <1000, 0, 0>, 10
    pigment { color <1, 0, 0> }
}

cone {
    <0, 0, 0>, 0
    <0, 1000, 0>, 10
    pigment { color <0, 1, 0> }
}

cone {
    <0, 0, 0>, 0
    <0, 0, 1000>, 10
    pigment { color <0, 0, 1> }
}
