#include "colors.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}

light_source {
    <2000, 2000, 2000>
    color White
}


#declare Camera_Totale = 1;
//#declare Camera_Frosch = 1;
//#declare Camera_Triebwerk = 1;
//#declare Camera_Pol = 1;

#ifdef (Camera_Frosch)
camera {
        location <0, 2, 40>
        look_at <0, 8, 0>
	angle 40
}
#end

#ifdef (Camera_Pol)
camera {
        location <1, 4700, 0>
        look_at <0, 1800, 0>
	angle 40
}
#end

#ifdef (Camera_Triebwerk)
camera {
        location <1650, 1700, 0>
        look_at <650, 1500, 0>
}
#end

#ifdef (Camera_Totale)
camera {
        location <20, 30, -40>
        look_at <0, 10, 0>
	angle 40

}
#end

#include "glas.pov"

object {
    glas
}


#if (1)
background { color rgb<0.2, 0.4, 0.8>  }
plane {
    <0, 1, 0>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
}
#end
