#include "T_arkonstahl.pov"
#include "T_arkonstahl2.pov"

/* Landeposition 
 */

#declare X1=0.9;
#declare X2=0.90;
#declare AT=-26.5;


/* Flugposition 

#declare X1=0.0;
#declare X2=0.00;
#declare AT=+5.0;

 */

#declare AT_flug=+5.0;

#declare landestuetze = 
    union {
	union {
	    // 1. Segment
	    sphere {
		<0, 0, 0>, 2
	    }
	    cone {
		<0, 0, 0>, 2
		<0, -15, 0>, 1.8
	    }
	    // Gelenk
	    cone {
		<2.7, -13, -0.5>, 1
		<2.7, -13, -0.7>, 1
	    }
	    cone {
		<2.7, -13, +0.5>, 1
		<2.7, -13, +0.7>, 1
	    }
	    cone {
		<2.7, -13, -0.71>, 0.5
		<2.7, -13, +0.71>, 0.5
		texture { T_arkonstahl2 }
	    }

	    // 2. Segment
	    cone {
		<0, -2 - X1*8, 0>, 1.6
		<0, -16 - X1*8, 0>, 1.6
		texture { T_arkonstahl2 }
	    }
	    // 3. Segment
	    cone {
		<0, -4 - X1*8 - X2*8, 0>, 1.4
		<0, -16 - X1*8 - X2*8, 0>, 1.4
		texture { T_arkonstahl2 }
	    }
	    // Teller
	    union {
		sphere {
		    <0, 0 - 0.00, 0>, 1.75
		}
		cone {
		    <0, 0 - 0.25, 0>, 4.5
		    <0, 0 - 1.55, 0>, 5.0
		}
		cone {
		    <0, 0 - 1.55, 0>, 5.0
		    <0, 0 - 1.75, 0>, 4.9
		}
		rotate <0, 0, AT>
		translate <0, -16 - X1*8 - X2*8 - 1.05, 0>
	    }



	    texture { T_arkonstahl }
	    rotate <0, 0, 26.5>
	}
	#local V = vrotate(<2.7, -13, 0>, <0, 0, 26.5>);
	#local V2 = <V.x, 0, 0>;
	#local V3 = V2 + (V - V2) * 0.8;
	sphere {
	    V2, 0.8
	    texture { T_arkonstahl }
	}
	cone {
	    V2, 0.8,
	    V3, 0.6
	    texture { T_arkonstahl }
	}
	cone {
	    V2, 0.45,
	    V, 0.45
	    texture { T_arkonstahl2 }
	}

	translate <20, -25, 0>
    }

#declare landestuetze_neg = 
    union {
	    // Teller
	    union {
		cone {
		    <0, 0 - 0.26, 0>, 2.5
		    <0, 0 + 1.25, 0>, 2.5
		}
		cone {
		    <0, 0 - 0.25, 0>, 4.5
		    <0, 0 - 1.55, 0>, 5.0
		}
		cone {
		    <0, 0 - 1.55, 0>, 5.0
		    <0, 0 - 1.75, 0>, 4.9
		}
		rotate <0, 0, AT_flug>
		translate <0, -16 - 1.05, 0>
	    }
	    rotate <0, 0, 26.5>
	translate <20, -25, 0>
    }
