#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <200, 200, -00>
    color White
}
light_source {
    <200, 120, -171>
    color White*0.5
}
camera {
	orthographic
        location <-40, 10, -30>
        look_at <-40, 10, 0>
	angle 40
}

#include "feldschirm_projektor.pov"

object {
    feldschirm_projektor
}


cylinder {
    <0, 0, 0>,
    <0, -1, 0>, 1000
    pigment {
	radial
	color_map{
	    [0.1 rgb 0.1 ]
	    [0.1 White]
	}
	frequency 16
    }
}

cylinder {
    <-40, 0, -100>
    <-40, 0, +100>
    0.5
    pigment {
	color Blue
    }
}

