#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
//background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <2000, 2000, 2000>
    color White
}

#declare Camera_Totale = 1

#ifdef (Camera_Triebwerk)
camera {
        location <1650, 1700, 0>
        look_at <1250, 1300, 0>
}
#end

#ifdef (Camera_Totale)
camera {
        location <2650, 1800, 0>
        look_at <0, 800, 0>
}
#end

#include "zyhm_ranton.pov"

object {
    zyhm_ranton
    translate <0, 800, 0>
}


#if (0)
plane {
    <0, 1, 0>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
}
#end
