#local denT=density { spherical
  density_map {
    [.01 rgb 0][.1 rgb <0,.35,.75> ][.3 rgb 0][.65 rgb <0,.375,.5>][1 rgb 1]
  }
}

#local Thrust = 1;
#local Clock = 0.2;
#local iI = 5;
#local rT = 2;

    sphere { 0,2 hollow no_shadow
      texture { pigment { rgbt 1 } }
      interior {
        media { emission .2   method 3 intervals 1
          density { denT
            translate  y*Clock*18+1+iI
            scale <2,1,2>
            warp { turbulence .15 lambda 3 }
            scale <.5,1,.5>
            translate -y*Clock*18-1-iI
          }
        }
        media { absorption .2 method 3 intervals 1
          density { denT
            translate  y*Clock*18+1+iI
            scale <2,1,2>
            warp { turbulence .15 lambda 3 }
            scale <.5,1,.5>
            translate -y*Clock*18-1-iI
          }
        }
      }
      scale <1,9*Thrust,1>*(rT-1)
    }

camera {
        location <-0, 0 -4>
        look_at <0, 0, 0>
	angle 30
}

